      function gau_xq(q) ! bernd berg jun 2 1999.
c qtiles for normal gaussian distribution.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      external gau_df
c
      if(q.eq.half) then
        gau_xq=zero
      return
      endif
      x1=zero
      x2=zero
      if(q.gt.half) then
1       x2=x2+one
        if(gau_df(x2).le.q) go to 1
      else
2       x1=x1-one
        if(gau_df(x1).ge.q) go to 2
      endif
      gau_xq=fi1(gau_df,q,x1,x2)
c
      return
      end
